<div class="fake-form-field-outline">
    <mat-card class="fake-form-card" style="padding: 6px;">
        <mat-card-header>
            <mat-card-title class="fake-form-field">{{fieldToggleMode.title}}</mat-card-title>
        </mat-card-header>
    </mat-card>
    <ng-container>
        <div class="layout">
            <form [formGroup]="advancedModeForm">
              <div class="row">
                    <mat-slide-toggle (change)="toggleEtaFields($event, fieldEtaSystem.field)" class="toggle"
                            [checked]="toggleEtaSystemEnabled">
                    </mat-slide-toggle>
                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                    title={{fieldEtaSystem.description}}>
                        <mat-label>&eta;<sub>{{fieldEtaSystem.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaSystem.placeholder}}"
                            formControlName="{{fieldEtaSystem.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaSystem.field)}}
                        </mat-error>
                    </mat-form-field>
            </div>
                <div class="row">
                    <mat-slide-toggle (change)="toggleEtaFields($event, 'fieldEtaOther')" class="toggle"
                            [checked]="toggleEtaOtherEnabled">
                      </mat-slide-toggle>
                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                    title={{fieldEtaPointing.description}}>
                    <mat-label>&eta;<sub>{{fieldEtaPointing.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaPointing.placeholder}}"
                            formControlName="{{fieldEtaPointing.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaPointing.field)}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                    title={{fieldEtaCoherence.description}}>
                        <mat-label>&eta;<sub>{{fieldEtaCoherence.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaCoherence.placeholder}}"
                            formControlName="{{fieldEtaCoherence.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaCoherence.field)}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                    title={{fieldEtaDigitisation.description}}>
                        <mat-label>&eta;<sub>{{fieldEtaDigitisation.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaDigitisation.placeholder}}"
                            formControlName="{{fieldEtaDigitisation.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaDigitisation.field)}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                    title={{fieldEtaCorrelation.description}}>
                        <mat-label>&eta;<sub>{{fieldEtaCorrelation.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaCorrelation.placeholder}}"
                            formControlName="{{fieldEtaCorrelation.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaCorrelation.field)}}
                        </mat-error>
                    </mat-form-field>

                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                    title={{fieldEtaBandpass.description}}>
                        <mat-label>&eta;<sub>{{fieldEtaBandpass.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaBandpass.placeholder}}"
                            formControlName="{{fieldEtaBandpass.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaBandpass.field)}}
                        </mat-error>
                    </mat-form-field>
                </div>
                <div class="row">
                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                        *ngIf="checkSelectedSubarrayType('ska')" title={{fieldEtaSKA.description}}>
                        <mat-label>&eta;<sub>{{fieldEtaSKA.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaSKA.placeholder}}"
                            formControlName="{{fieldEtaSKA.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaSKA.field)}}
                        </mat-error>
                    </mat-form-field>
                    <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                        *ngIf="checkSelectedSubarrayType('meerkat')" title={{fieldEtaMeer.description}}>
                        <mat-label>&eta;<sub>{{fieldEtaMeer.title}}</sub></mat-label>
                        <input type="number" step="0.01" min="0" max="1" matInput placeholder="{{fieldEtaMeer.placeholder}}"
                            formControlName="{{fieldEtaMeer.field}}">
                        <mat-error>
                            {{getErrorMessage(fieldEtaMeer.field)}}
                        </mat-error>
                    </mat-form-field>
    </div>
                <div *ngIf="checkSelectedSubarrayType('ska')">
                    <div class="row">
                        <mat-slide-toggle (change)="toggleTempFields($event, fieldTsysSKA.field, 'SKA')" class="toggle"
                            [checked]="toggleTsysSKAEnabled">
                        </mat-slide-toggle>
                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                        title={{fieldTsysSKA.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTsysSKA.title}}</sub></mat-label>
                            <input type="number" matInput placeholder="{{fieldTsysSKA.placeholder}}"
                                formControlName="{{fieldTsysSKA.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTsysSKA.field)}}
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="row">
                        <mat-slide-toggle (change)="toggleTempFields($event, fieldTrcvSKA.field, 'SKA')" class="toggle"
                            [checked]="toggleTrcvSKAEnabled">
                        </mat-slide-toggle>
                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                            style="margin-right:15px" title={{fieldTrcvSKA.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTrcvSKA.title}}</sub></mat-label>
                            <input matInput placeholder="{{fieldTrcvSKA.placeholder}}"
                                formControlName="{{fieldTrcvSKA.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTrcvSKA.field)}}
                            </mat-error>
                        </mat-form-field>

                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                        title={{fieldTsplSKA.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTsplSKA.title}}</sub></mat-label>
                            <input matInput placeholder="{{fieldTsplSKA.placeholder}}"
                                formControlName="{{fieldTsplSKA.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTsplSKA.field)}}
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div *ngIf="checkSelectedSubarrayType('meerkat')">
                    <div class="row">
                        <mat-slide-toggle (change)="toggleTempFields($event, fieldTsysMeerKAT.field, 'MeerKAT')"
                            class="toggle" [checked]="toggleTsysMeerEnabled">
                        </mat-slide-toggle>
                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                        title={{fieldTsysMeerKAT.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTsysMeerKAT.title}}</sub></mat-label>
                            <input matInput placeholder="{{fieldTsysMeerKAT.placeholder}}"
                                formControlName="{{fieldTsysMeerKAT.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTsysMeerKAT.field)}}
                            </mat-error>
                        </mat-form-field>
                    </div>
                    <div class="row">
                        <mat-slide-toggle (change)="toggleTempFields($event, fieldTrcvMeerKAT.field, 'MeerKAT')"
                            class="toggle" [checked]="toggleTrcvMeerEnabled">
                        </mat-slide-toggle>
                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript toggle"
                                        title={{fieldTrcvMeerKAT.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTrcvMeerKAT.title}}</sub></mat-label>
                            <input matInput placeholder="{{fieldTrcvMeerKAT.placeholder}}"
                                formControlName="{{fieldTrcvMeerKAT.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTrcvMeerKAT.field)}}
                            </mat-error>
                        </mat-form-field>

                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                        title={{fieldTsplMeerKAT.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTsplMeerKAT.title}}</sub></mat-label>
                            <input matInput placeholder="{{fieldTsplMeerKAT.placeholder}}"
                                formControlName="{{fieldTsplMeerKAT.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTsplMeerKAT.field)}}
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
                <div>
                    <div class="row">
                        <mat-slide-toggle (change)="toggleSkyFields($event, fieldTsky.field)" class="toggle"
                            [checked]="toggleTskyEnabled">
                        </mat-slide-toggle>
                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript"
                                        title={{fieldTsky.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTsky.title}}</sub></mat-label>
                            <input matInput placeholder="{{fieldTsky.placeholder}}"
                                formControlName="{{fieldTsky.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTsky.field)}}
                            </mat-error>
                        </mat-form-field>
                        <mat-slide-toggle (change)="toggleSkyFields($event, fieldTgal.field)" class="toggle"
                            [checked]="toggleTgalEnabled">
                        </mat-slide-toggle>
                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript toggle"
                                        title={{fieldTgal.description}}>
                            <mat-label class="temperatureCharacter">T<sub>{{fieldTgal.title}}</sub></mat-label>
                            <input matInput placeholder="{{fieldTgal.placeholder}}"
                                formControlName="{{fieldTgal.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTgal.field)}}
                            </mat-error>
                        </mat-form-field>
                        <mat-slide-toggle (change)="toggleSkyFields($event, fieldTalpha.field)" class="toggle"
                            [checked]="toggleTalphaEnabled">
                        </mat-slide-toggle>
                        <mat-form-field floatLabel="always" class="hiddenCustomFields labelWithSubscript toggle"
                                        title={{fieldTalpha.description}}>
                            <mat-label>{{fieldTalpha.title}}</mat-label>
                            <input matInput placeholder="{{fieldTalpha.placeholder}}"
                                formControlName="{{fieldTalpha.field}}">
                            <mat-error>
                                {{getErrorMessage(fieldTalpha.field)}}
                            </mat-error>
                        </mat-form-field>
                    </div>
                </div>
            </form>
        </div>
    </ng-container>
</div>
<br>
